#include <iostream>
#include <vector>
#define upd pair<int,int>

using namespace std;

int PovrsinaTrougle(upd a, upd b, upd c)
{
    return 1 / 2 * abs(a.first * b.second + b.first * c.second + c.first * a.second - a.second * b.first - b.second * c.first - c.second * a.first);
}

int main()
{
    int n;
    cin >> n;
    vector<upd> a;

    for (int i = 0; i < n; i++) {
        int x, y;
        cin >> x >> y;
        a.push_back(make_pair(x, y));
    }
    if (n == 3) {
        int p;
        upd o = make_pair(0, 0);
        p = PovrsinaTrougle(a[0], a[1], o) + PovrsinaTrougle(a[1], a[2], o) + PovrsinaTrougle(a[0], a[2], o);
        if (PovrsinaTrougle(a[0], a[1], a[2]) == p)
            cout << "1" << endl;
    }
    return 0;
}